Rails.application.routes.draw do

  locales = Site.first.in_use_locales rescue I18n.available_locales
  
  scope "(:locale)", locale: Regexp.new(locales.join("|")) do
   namespace :admin do
    get "/feeds/get_channel_list", to: 'feeds#get_channel_list'
    get "/feeds/get_feed_list", to: 'feeds#get_feed_list'
    get "/feeds/get_category_list", to: 'feeds#get_category_list'
    post "/feeds/subscribe", to: 'feeds#subscribe'
    post "/feeds/unsubscribe", to: 'feeds#unsubscribe'
    post "/feeds/disable", to: 'feeds#disable'
    resources :feeds
   end
  end
  
end
